Loading...
Searching...
No Matches
netns.h File Reference

Network namespace convenience functions. More...

`#include <signal.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_netns_switch_state

## Functions

int | osmo_netns_open_fd (const char *name)
| Open a file descriptor for the network namespace with provided name.
int | osmo_netns_switch_enter (int nsfd, struct osmo_netns_switch_state *state)
| switch to a (non-default) namespace, store existing signal mask in oldmask.
int | osmo_netns_switch_exit (struct osmo_netns_switch_state *state)
| switch back to the previous namespace, restoring signal mask.

## Detailed Description

Network namespace convenience functions.